--- old/usr/src/uts/common/os/main.c	2013-07-25 14:31:03.980597575 +0000
+++ new/usr/src/uts/common/os/main.c	2013-07-25 14:31:03.991904657 +0000
@@ -83,6 +83,7 @@
 proc_t *proc_init;		/* init */
 proc_t *proc_pageout;		/* pageout daemon */
 proc_t *proc_fsflush;		/* fsflush daemon */
+proc_t *proc_intrd;		/* interrupt daemon */
 
 pgcnt_t	maxmem;		/* Maximum available memory in pages.	*/
 pgcnt_t	freemem;	/* Current available memory in pages.	*/
@@ -359,6 +360,7 @@
 	int		(**initptr)();
 	extern void	sched();
 	extern void	fsflush();
+	extern void	intrd();
 	extern int	(*init_tbl[])();
 	extern int	(*mp_init_tbl[])();
 	extern id_t	syscid, defaultcid;
@@ -618,6 +620,10 @@
 	    FAMOUS_PID_FSFLUSH))
 		panic("main: unable to fork fsflush()");
 
+	/* create interrupt balancer daemon */
+	if (newproc(intrd, NULL, syscid, minclsyspri, NULL, 0))
+		panic("main: unable to fork intrd()");
+
 	/* create cluster process if we're a member of one */
 	if (cluster_bootflags & CLUSTER_BOOTED) {
 		if (newproc(cluster_wrapper, NULL, syscid, minclsyspri,
